Subject: Re: [PATCH 3/4] libata-sff.c: add another IRQ calls

From: Jeff Garzik <[email-masked]>
Date: Tue, 16 Jan 2007 17:05:45 -0500

Alan wrote:
> On Tue, 16 Jan 2007 19:46:23 +0900
> Akira Iguchi <[email-masked]> wrote:
> 
>> When enabling IRQ, ap->ops->irq_on is checked.
>> Because most drivers can use ata_irq_on() as is, this
>> patch allows ap->ops->irq_on to be NULL.
>> If it is NULL, ata_irq_on() are used.
> 
> 
> I believe you can now remove the if(ap->ioaddr.ctl_addr) check as any
> device lacking a ctl_addr can now provide an irq_on() method using your
> changes.
> 
> You've fixed the FIXME 

Agreed.

Abstracting out the Control/Alt-Status register block operations has 
been a long-standing TODO that I knew would be required, sometime down 
the line.  I certainly support adding such abstractions, as they are 
required for several non-x86 IDE drivers, not just Cell.

	Jeff